/* Add padding to sections */
.wp-block-cover.alignfull,
.wp-site-blocks > .wp-block-cover,
.wp-block-template-part > .wp-block-cover,
.is-root-container > .wp-block-cover {
    padding-top: var(--wp--custom--spacing--padding--section);
    padding-bottom: var(--wp--custom--spacing--padding--section);
    padding-left: var(--wp--preset--spacing--50);
    padding-right: var(--wp--preset--spacing--50);
}


/* Exceptions for small screens */
@media screen and (max-width: 782px) {
    .wp-block-cover.alignfull {
        display: flex;
        flex-direction: column;
        padding: 0;
        background-color: var(--wp--preset--color--secondary);
        min-height: auto !important;
    }
    .wp-block-cover.alignfull .wp-block-cover__background {
        display: none;
    }
    .wp-block-cover.alignfull .wp-block-cover__image-background {
        position: static;
    }
    .wp-block-cover.alignfull .wp-block-cover__inner-container {
        margin-top: -80px !important;
        z-index: 0;
        padding: 0 var(--wp--preset--spacing--50) var(--wp--preset--spacing--50) var(--wp--preset--spacing--50);
        &::after {
            content: '';
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 80px;
            background: linear-gradient(to top, var(--wp--preset--color--secondary), transparent);
            z-index: -1;
        }
    }
}
